Make test script fail if unit tests fail.

Change-Id: I68915ed092f1de571551c99552bf6a5c8139c4f2
diff --git a/kokoro/ubuntu/test.sh b/kokoro/ubuntu/test.sh
index cb28a0d..1e74335 100755
--- a/kokoro/ubuntu/test.sh
+++ b/kokoro/ubuntu/test.sh
@@ -5,6 +5,10 @@
 
 # Fail on any error.
 set -e
+# Fail on any part of a pipeline failing.
+set -o pipefail
+# Treat unset variables as an error
+set -u
 # Display commands being run.
 set -x